File: bug-217750-wwwconfig-common_mysql-createuser.patch

package info (click to toggle)
wwwconfig-common 0.3.0
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 488 kB
  • sloc: sh: 952; makefile: 5
file content (14 lines) | stat: -rw-r--r-- 579 bytes parent folder | download | duplicates (6)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
--- mysql-createuser.sh.old	2003-10-26 06:27:26.000000000 -0500
+++ mysql-createuser.sh	2003-10-26 06:44:30.000000000 -0500
@@ -86,9 +86,9 @@
 "
     
 
-    if ! eval $mysqlcmd -f mysql -e '"$script"'  ; then
+    if eval $mysqlcmd -f mysql -e '"$script"'  ; then
 	
-	if ! eval $mysqlcmd -f mysql -e "select User from user;" | grep $dbuser >/dev/null 2>&1 ; then
+	if ! eval $mysqlcmd -f mysql -e '"select User from user;"' | grep $dbuser >/dev/null 2>&1 ; then
 	    error="Database user $dbuser NOT successfully added. You have to do it manually."
 	else
 	    status=create